gprompter_0.9.1-1.1ubuntu2_amd64.deb


Advertisement

Description

gprompter - intelligent predictive GTK+ text editor

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename gprompter_0.9.1-1.1ubuntu2_amd64.deb
Package name gprompter
Package version 0.9.1
Package release 1.1ubuntu2
Package architecture amd64
Package type deb
Category misc
Homepage http://presage.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 724.80 KB
Installed size 2.38 MB
gprompter is a cross-platform predictive text editor, based on
presage, the intelligent predictive text entry platform.
gprompter displays predictions in a contextual pop-up box as each
letter is typed. Predictions can be easily selected and inserted in
the document.

Alternatives

Package Version Architecture Repository
gprompter_0.9.1-1.1ubuntu2_i386.deb 0.9.1 i386 Ubuntu Main
gprompter - - -

Requires

Name Value
libc6 >= 2.14
libcairo2 >= 1.8.0
libgcc1 >= 1:3.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgtk2.0-0 >= 2.22.0
libpango-1.0-0 >= 1.18.0
libpangocairo-1.0-0 >= 1.14.0
libpresage1v5 >= 0.8.5
libstdc++6 >= 5.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gprompter_0.9.1-1.1ubuntu2_amd64.deb
Source Package presage

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gprompter deb package:
    # sudo apt-get install gprompter

Files

Path
/usr/bin/gprompter
/usr/share/applications/gprompter.desktop
/usr/share/doc/gprompter/AUTHORS
/usr/share/doc/gprompter/NEWS.gz
/usr/share/doc/gprompter/README.gz
/usr/share/doc/gprompter/THANKS
/usr/share/doc/gprompter/TODO.gz
/usr/share/doc/gprompter/changelog.Debian.gz
/usr/share/doc/gprompter/copyright
/usr/share/man/man1/gprompter.1.gz
/usr/share/menu/gprompter
/usr/share/pixmaps/gprompter.png
/usr/share/pixmaps/gprompter.xpm

Changelog

2016-02-07 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-1.1ubuntu2) xenial; urgency=medium
* No-change rebuild for ncurses6 transition.
2015-10-31 - Steve Langasek <steve.langasek@ubuntu.com>
presage (0.9.1-1.1ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/patches/lib_underlinkage.patch: Added missing lib to link,
fixing FTBFS.
- Remove python-wxgtk3.0 from Build-Depends
- debian/patches/ubuntu_dont_require_wxpython.patch: Do not check for wx
to enable pyprompter
- debian/patches/dont-tokenize-on-apostrophes.patch: Allow words with
apostrophes to be predicted
- Build-depend on swig (3.0) instead of swig2.0.
* Dropped changes, included in Debian:
- Build using GCC 5.
- Update symbols file.
2015-10-04 - ChangZhuo Chen (陳昌倬) <czchen@debian.org>
presage (0.9.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Rename package for GCC 5 transition (Closes: #799642)
2015-08-15 - Aron Xu <aron@debian.org>
presage (0.9.1-1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release (Closes: #792527)
2015-10-30 - Steve Langasek <steve.langasek@ubuntu.com>
presage (0.9.1-0ubuntu3) xenial; urgency=medium
* Build-depend on swig (3.0) instead of swig2.0.
2015-07-15 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-0ubuntu2) wily; urgency=medium
* Build using GCC 5.
2015-07-15 - Matthias Klose <doko@ubuntu.com>
presage (0.9.1-0ubuntu1) wily; urgency=medium
* New upstream version.
- No test failures with GCC 5.
* Update symbols file.
2015-03-12 - Aron Xu <happyaron@ubuntu.com>
presage (0.9-1ubuntu3) vivid; urgency=medium
* Remove python-wxgtk3.0 from Build-Depends (LP: #1430923)
* debian/patches/ubuntu_dont_require_wxpython.patch:
- Do not check for wx to enable pyprompter
2015-02-04 - Michael Sheldon <michael.sheldon@canonical.com>
presage (0.9-1ubuntu2) vivid; urgency=medium
* debian/patches/dont-tokenize-on-apostrophes.patch:
- Allow words with apostrophes to be predicted (lp: #1384800)
2015-01-31 - Artur Rona <ari-tczew@ubuntu.com>
presage (0.9-1ubuntu1) vivid; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/patches/lib_underlinkage.patch:
+ Added missing lib to link, fixing FTBFS. (Closes: #776720)
* Drop following patches, fixed upstream:
- debian/patches/automake-parallel.patch
- debian/patches/no-automake-werror.patch

See Also

Package Description
graphviz-dev_2.38.0-12ubuntu2_all.deb transitional package for graphviz-dev rename
graphviz-doc_2.38.0-12ubuntu2_all.deb additional documentation for graphviz
graphviz_2.38.0-12ubuntu2_amd64.deb rich set of graph drawing tools
grep_2.24-1_amd64.deb GNU grep, egrep and fgrep
grilo-plugins-0.2-base_0.2.17-0ubuntu2_amd64.deb Framework for discovering and browsing media - Base Plugins
groff-base_1.22.3-7_amd64.deb GNU troff text-formatting system (base system components)
grub-common_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader (common files)
grub-doc_0.97-29ubuntu68_all.deb Documentation for GRand Unified Bootloader (dummy package)
grub-efi-amd64-bin_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
grub-efi-amd64-signed_1.66+2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
grub-efi-amd64_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 version)
grub-efi-ia32-bin_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
grub-efi-ia32_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (EFI-IA32 version)
grub-efi_2.02~beta2-36ubuntu3_amd64.deb GRand Unified Bootloader, version 2 (dummy package)
grub-gfxpayload-lists_0.7_amd64.deb GRUB gfxpayload blacklist
Advertisement
Advertisement